# coding: utf-8

# flake8: noqa

"""
    PeerTube

    # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ```   # noqa: E501

    The version of the OpenAPI document: 2.1.0
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

__version__ = "1.0.0"

# import apis into sdk package
from peertube.api.accounts_api import AccountsApi
from peertube.api.config_api import ConfigApi
from peertube.api.job_api import JobApi
from peertube.api.my_user_api import MyUserApi
from peertube.api.search_api import SearchApi
from peertube.api.server_following_api import ServerFollowingApi
from peertube.api.user_api import UserApi
from peertube.api.video_api import VideoApi
from peertube.api.video_abuse_api import VideoAbuseApi
from peertube.api.video_blacklist_api import VideoBlacklistApi
from peertube.api.video_caption_api import VideoCaptionApi
from peertube.api.video_channel_api import VideoChannelApi
from peertube.api.video_comment_api import VideoCommentApi
from peertube.api.video_playlist_api import VideoPlaylistApi
from peertube.api.video_rate_api import VideoRateApi

# import ApiClient
from peertube.api_client import ApiClient
from peertube.configuration import Configuration
from peertube.exceptions import OpenApiException
from peertube.exceptions import ApiTypeError
from peertube.exceptions import ApiValueError
from peertube.exceptions import ApiKeyError
from peertube.exceptions import ApiException
# import models into sdk package
from peertube.models.account import Account
from peertube.models.actor import Actor
from peertube.models.add_user import AddUser
from peertube.models.add_user_response import AddUserResponse
from peertube.models.avatar import Avatar
from peertube.models.comment_thread_post_response import CommentThreadPostResponse
from peertube.models.comment_thread_response import CommentThreadResponse
from peertube.models.follow import Follow
from peertube.models.get_me_video_rating import GetMeVideoRating
from peertube.models.inline_object import InlineObject
from peertube.models.inline_object1 import InlineObject1
from peertube.models.inline_object2 import InlineObject2
from peertube.models.inline_object3 import InlineObject3
from peertube.models.inline_object4 import InlineObject4
from peertube.models.inline_object5 import InlineObject5
from peertube.models.inline_response200 import InlineResponse200
from peertube.models.job import Job
from peertube.models.playlist_element import PlaylistElement
from peertube.models.register_user import RegisterUser
from peertube.models.register_user_channel import RegisterUserChannel
from peertube.models.server_config import ServerConfig
from peertube.models.server_config_about import ServerConfigAbout
from peertube.models.server_config_about_instance import ServerConfigAboutInstance
from peertube.models.server_config_auto_blacklist import ServerConfigAutoBlacklist
from peertube.models.server_config_auto_blacklist_videos import ServerConfigAutoBlacklistVideos
from peertube.models.server_config_avatar import ServerConfigAvatar
from peertube.models.server_config_avatar_file import ServerConfigAvatarFile
from peertube.models.server_config_avatar_file_size import ServerConfigAvatarFileSize
from peertube.models.server_config_custom import ServerConfigCustom
from peertube.models.server_config_custom_admin import ServerConfigCustomAdmin
from peertube.models.server_config_custom_cache import ServerConfigCustomCache
from peertube.models.server_config_custom_cache_previews import ServerConfigCustomCachePreviews
from peertube.models.server_config_custom_followers import ServerConfigCustomFollowers
from peertube.models.server_config_custom_followers_instance import ServerConfigCustomFollowersInstance
from peertube.models.server_config_custom_instance import ServerConfigCustomInstance
from peertube.models.server_config_custom_services import ServerConfigCustomServices
from peertube.models.server_config_custom_services_twitter import ServerConfigCustomServicesTwitter
from peertube.models.server_config_custom_signup import ServerConfigCustomSignup
from peertube.models.server_config_custom_theme import ServerConfigCustomTheme
from peertube.models.server_config_custom_transcoding import ServerConfigCustomTranscoding
from peertube.models.server_config_custom_transcoding_resolutions import ServerConfigCustomTranscodingResolutions
from peertube.models.server_config_email import ServerConfigEmail
from peertube.models.server_config_import import ServerConfigImport
from peertube.models.server_config_import_videos import ServerConfigImportVideos
from peertube.models.server_config_instance import ServerConfigInstance
from peertube.models.server_config_instance_customizations import ServerConfigInstanceCustomizations
from peertube.models.server_config_plugin import ServerConfigPlugin
from peertube.models.server_config_signup import ServerConfigSignup
from peertube.models.server_config_transcoding import ServerConfigTranscoding
from peertube.models.server_config_trending import ServerConfigTrending
from peertube.models.server_config_trending_videos import ServerConfigTrendingVideos
from peertube.models.server_config_user import ServerConfigUser
from peertube.models.server_config_video import ServerConfigVideo
from peertube.models.server_config_video_caption import ServerConfigVideoCaption
from peertube.models.server_config_video_caption_file import ServerConfigVideoCaptionFile
from peertube.models.server_config_video_file import ServerConfigVideoFile
from peertube.models.server_config_video_image import ServerConfigVideoImage
from peertube.models.update_me import UpdateMe
from peertube.models.update_user import UpdateUser
from peertube.models.user import User
from peertube.models.user_watching_video import UserWatchingVideo
from peertube.models.video import Video
from peertube.models.video_abuse import VideoAbuse
from peertube.models.video_abuse_video import VideoAbuseVideo
from peertube.models.video_account_summary import VideoAccountSummary
from peertube.models.video_blacklist import VideoBlacklist
from peertube.models.video_caption import VideoCaption
from peertube.models.video_channel import VideoChannel
from peertube.models.video_channel_create import VideoChannelCreate
from peertube.models.video_channel_owner_account import VideoChannelOwnerAccount
from peertube.models.video_channel_summary import VideoChannelSummary
from peertube.models.video_channel_update import VideoChannelUpdate
from peertube.models.video_comment import VideoComment
from peertube.models.video_comment_thread_tree import VideoCommentThreadTree
from peertube.models.video_constant_number import VideoConstantNumber
from peertube.models.video_constant_string import VideoConstantString
from peertube.models.video_details import VideoDetails
from peertube.models.video_details_all_of import VideoDetailsAllOf
from peertube.models.video_file import VideoFile
from peertube.models.video_import import VideoImport
from peertube.models.video_import_state import VideoImportState
from peertube.models.video_import_state_constant import VideoImportStateConstant
from peertube.models.video_list_response import VideoListResponse
from peertube.models.video_playlist import VideoPlaylist
from peertube.models.video_playlist_owner_account import VideoPlaylistOwnerAccount
from peertube.models.video_playlist_privacy import VideoPlaylistPrivacy
from peertube.models.video_privacy_constant import VideoPrivacyConstant
from peertube.models.video_privacy_set import VideoPrivacySet
from peertube.models.video_rating import VideoRating
from peertube.models.video_resolution_constant import VideoResolutionConstant
from peertube.models.video_scheduled_update import VideoScheduledUpdate
from peertube.models.video_state_constant import VideoStateConstant
from peertube.models.video_streaming_playlists import VideoStreamingPlaylists
from peertube.models.video_streaming_playlists_redundancies import VideoStreamingPlaylistsRedundancies
from peertube.models.video_upload_response import VideoUploadResponse
from peertube.models.video_user_history import VideoUserHistory

